package com.yonge.cooleshow.admin.io.request;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 平台建议类型表
 * 2023-08-30 11:26:33
 */
@ApiModel(value = "SysSuggestionTypeVo对象", description = "平台建议类型表查询视图对象")
public class SysSuggestionTypeVo {

    @Data
    @ApiModel(" SysSuggestionTypeQuery-平台建议类型表")
    public static class SysSuggestionTypeQuery implements QueryInfo {

        @ApiModelProperty("当前页")
        private Integer page;

        @ApiModelProperty("分页行数")
        private Integer rows;

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static SysSuggestionTypeQuery from(String json) {
            return JSON.parseObject(json, SysSuggestionTypeQuery.class);
        }
    }

    @Data
    @ApiModel(" SysSuggestionType-平台建议类型表")
    public static class SysSuggestionType {


        @ApiModelProperty("编号")
        private Long id;

        @ApiModelProperty("名称")
        private String name;

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static SysSuggestionType from(String json) {
            return JSON.parseObject(json, SysSuggestionType.class);
        }
    }

}
